在Ubuntu中安装了devstack,执行./stack.sh出错,求大神指教

为当前最终发行版之前的所有版本提供支持
回复
nangui.hu
帖子: 11
注册时间: 2015-11-17 10:41
系统: ubuntu14.04
送出感谢: 0
接收感谢: 0

在Ubuntu中安装了devstack,执行./stack.sh出错,求大神指教

#1

帖子 nangui.hu » 2015-11-24 9:22

错误如下:
| + cd /opt/stack/requirements
2015-11-24 01:03:26.124 | + git remote set-url origin git://git.openstack.org/openstack/requirements.git
2015-11-24 01:03:26.139 | fatal: Not a git repository (or any of the parent directories): .git
2015-11-24 01:03:26.143 | + exit_trap
2015-11-24 01:03:26.143 | + local r=128
2015-11-24 01:03:26.148 | ++ jobs -p
2015-11-24 01:03:26.152 | + jobs=
2015-11-24 01:03:26.152 | + [[ -n '' ]]
2015-11-24 01:03:26.153 | + kill_spinner
2015-11-24 01:03:26.155 | + '[' '!' -z '' ']'
2015-11-24 01:03:26.155 | + [[ 128 -ne 0 ]]
2015-11-24 01:03:26.155 | + echo 'Error on exit'
2015-11-24 01:03:26.155 | Error on exit
2015-11-24 01:03:26.155 | + [[ -z /opt/stack/logs ]]
2015-11-24 01:03:26.155 | + /home/soloman/devstack/tools/worlddump.py -d /opt/stack/logs
2015-11-24 01:03:26.437 | /bin/sh: 1: brctl: not found
2015-11-24 01:03:26.726 | sudo: ebtables: command not found
2015-11-24 01:03:26.776 | sudo: ebtables: command not found
2015-11-24 01:03:26.830 | sudo: ebtables: command not found
2015-11-24 01:03:26.928 | + exit 128
头像
astolia
论坛版主
帖子: 4033
注册时间: 2008-09-18 13:11
送出感谢: 1 次
接收感谢: 666 次

Re: 在Ubuntu中安装了devstack,执行./stack.sh出错,求大神指教

#2

帖子 astolia » 2015-11-24 10:39

你安装没成功,或者是撞墙了
nangui.hu
帖子: 11
注册时间: 2015-11-17 10:41
系统: ubuntu14.04
送出感谢: 0
接收感谢: 0

Re: 在Ubuntu中安装了devstack,执行./stack.sh出错,求大神指教

#3

帖子 nangui.hu » 2015-11-24 10:44

能告诉我怎样解决吗?
头像
astolia
论坛版主
帖子: 4033
注册时间: 2008-09-18 13:11
送出感谢: 1 次
接收感谢: 666 次

Re: 在Ubuntu中安装了devstack,执行./stack.sh出错,求大神指教

#4

帖子 astolia » 2015-11-24 10:54

nangui.hu
帖子: 11
注册时间: 2015-11-17 10:41
系统: ubuntu14.04
送出感谢: 0
接收感谢: 0

Re: 在Ubuntu中安装了devstack,执行./stack.sh出错,求大神指教

#5

帖子 nangui.hu » 2015-11-24 15:44

本人对代理不是很懂,你能给我敲一下给git设置代理的代码吗?
菜鸟学步
帖子: 1
注册时间: 2019-06-13 15:54
系统: linux
送出感谢: 0
接收感谢: 0

Re: 在Ubuntu中安装了devstack,执行./stack.sh出错,求大神指教

#6

帖子 菜鸟学步 » 2019-06-13 15:56

回复

回到 “老旧版本支持”